﻿/* 
    
The purpose of this stylesheet is to add custom styling to the SSRPM wizard. If you want to activate an selector you have te end the comment above by typing */ 

/* 
    
    /* Sections:

    1. Typography
    2. Logo
    3. Color
    4. Background

*/


/* 1. Typography
---------------------------------------
*/

.form-control-bold{
    font-weight:bold;
}

/* 2. Logo
---------------------------------------
*/

/* Add your logo. Make sure the height of the logo you load is 35px */
.logo-body {
    background: none;
    height: auto;
    padding: 0px !important;
    position: relative;
    margin: 0px auto;
}

.logo-container {
    margin: 25px;
}

.logo {
    aspect-ratio: 4;
    background: center / contain no-repeat url(Images/CU.svg);
    height: 100%;
    min-height: 100%;
}

/* Change the thumbnail logo in the wizard title bar. Make sure the image width and height are 100px */
.wizard-title {
    background-image:url(Images/CU-100-85.png);
}

/*
    3. Color
---------------------------------------
*/

/* This wil change the text color in the formheader */
/*
.formheader {
    color: !important
}
*/

/* Change the color of the progress bar */
/*
.progress-bar {
    background-color:;
}
*/

/* change the border color of the progressbar steps */
/*
.progressbar-step {
    border-color:;
}
*/

/* change the filling color of the progressbar steps */
/*
.progressbar-step-filled {
    background-color:;
}
*/

/* change the filling color of the curent progressbar steps */
/*
.progressbar-step-current{
    background-color:;
}
*/

/* change the text color of the icon text on the start page */
/*
.icon {
    color:;
}
*/

/* change the background color of the pop out wizard */
/*
.body-wizard {
    background-color:;
}
*/

/* change the border color and text color of the back and forward buttons */
/*
.btn-submit {
    border-color:;
    color:;
}
*/

/* change the hover color of the back and forward buttons */
/*
.btn-submit:hover {
    background-color:;
}
*/

/* change the color of the label text */
/*
label {
    color:;
}
*/

/* change the color of the links on the home page when not using the wizard overlay*/
/*
.ssrpm-label {
    color:;
}
*/
/* 4. Background
---------------------------------------
*/

.body-image {
    background: linear-gradient(to right, #6F263D, #8A1538, #A6192E) !important;
}
.body-wizard {
    background: linear-gradient(to right, #6F263D, #8A1538, #A6192E) !important;
}

/* Colors */

.icon::before, .form-icon::before {
    color: #921e33;
}

.ssrpm-label, label, .formheader-text {
    color: #000000;
}

.form-control:focus {
    border-color: #921e33;
    box-shadow: inset 0 1px 1px rgba(0,0,0,.075),0 0 8px rgba(146,30,51,.6);
}

.btn-submit {
    border-color: #921e33 !important;
    color: #921e33;
}
input[type="submit"]:focus {
    background: #921e33;
}

@media only screen and (max-width: 520px) {
    .btn-submit {
        background: #921e33;
        color: white;
    }
}

.btn-submit:hover {
    background-color: #921e33;
}

.progress-bar, .progressbar-step-filled {
    background-color: #921e33;
}
.progressbar-step-current {
    background-color: #F3D03E;
    color: #000000;
}
.progressbar-step {
    border-color: #921e33;
}
.progressbar-step-empty {
    color: #921e33;
}


/* Form Header Layout Improvements */

.formheader {
    display: flex;
    flex-wrap: nowrap;
    align-items: center;
    height: unset;
    position: unset;
    padding-top: 25px;
    margin-bottom: 25px;
}
.formheader > div {
    height: auto;
    position: unset;
}
.form-icon {
    margin-left: 50px;
}
.formheader-vertical {
    padding: 0px;
    margin-left: 27px;
}
.formheader-text {
    -webkit-transform: none;
    -ms-transform: none;
    transform: none;
    top: unset;
}

@media only screen and (max-width: 520px) {
    .form-icon {
        margin-left: 0px;
    }
    .formheader-vertical {
        margin-left: 0px;
    }
}

/* Force body to expand to contain all contents */

.ssrpmbody::after {
    content: '';
    clear: both;
    display: table;
}

/* Only consume necessary space */

.ssrpmbody {
    height: unset;
    padding-bottom: 25px;
}

/* Consume actual space */

form {
    padding-bottom: 11px;
    position: relative;
}

.nav-btn-group {
    position: relative;
}

/* Footer */

.ssrpmfooter {
    font-size: 75%;
    height: unset;
    margin-top: 25px;
    padding-left: 25px;
    padding-right: 25px;
    padding-bottom: 25px;
    top: unset;
    width: unset;
    max-width: 450px;
}

/* Pop up iframe */

.wizard-style {
    height: 735px;
}

/* Fix short body causing footer on white background */

body {
    height: unset;
    min-height: 100%;
}

/* Password complexity */

#password-complexity-rules-popover-container {
    max-height: unset;
    overflow: auto;
}

.password-complexity-rule {
    background-position: 0px 6px;
    height: auto;
    margin-bottom: 0px;
    padding-left: 0px;
    text-indent: unset;
}

.password-complexity-rule label {
    color: #000000;
    display: list-item;
    line-height: unset;
    list-style: disclosure-closed;
    margin-top: 0px;
    min-width: unset;
    overflow: visible;
}

.password-complexity-rule.PwdComplexityRuleComplexityCategoryNumeric label,
.password-complexity-rule.PwdComplexityRuleComplexityCategoryNonAplhaNumeric label,
.password-complexity-rule.PwdComplexityRuleComplexityCategoryUpperCase label,
.password-complexity-rule.PwdComplexityRuleComplexityCategoryLowerCase label
{
    list-style: disc;
    margin-left: 45px;
}

/* Fix in-field button vertical alignment on mobile */

@media only screen and (max-width: 520px) {
    .form-group-edit .btn-inline {
        margin-top: -35px !important;
    }
}

/* Fix errant border */

.alert {
    border: none;
}